/****** Object:  Table [dbo].[Company]    Script Date: 1.2.2021 14:47:49 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[Company](
	[timestamp] [timestamp] NULL,
	[Name] [nvarchar](30) NOT NULL,
	[Evaluation Company] [tinyint] NULL,
	[Display Name] [nvarchar](250) NULL,
	[Id] [uniqueidentifier] NULL,
	[Business Profile Id] [nvarchar](250) NULL,
	[$systemId] [uniqueidentifier] NOT NULL,
	[$systemCreatedAt] [datetime] NULL,
	[$systemCreatedBy] [uniqueidentifier] NULL,
	[$systemModifiedAt] [datetime] NULL,
	[$systemModifiedBy] [uniqueidentifier] NULL,
 CONSTRAINT [Company$Key1] PRIMARY KEY CLUSTERED 
(
	[Name] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY],
 CONSTRAINT [Company$$systemId] UNIQUE NONCLUSTERED 
(
	[$systemId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[Company] ADD  CONSTRAINT [MDF$Company$$systemId]  DEFAULT (newsequentialid()) FOR [$systemId]
GO
